function feedNN(net_folder,feature_file, folder)

%FEEDNN: Run mrclassC10 from stage 3 without retraining the NN
%
%
%INPUT
%	net_folder: the folder containing the neural nets (the files <subbands?.mat>)
%	feature_file: the feature_file to use for testing
%	folder: where to store the results
%
%OUTPUT: same file swritten as mrclassC10()
%
%NOTE
%	to use it with several different feature sets together, run them separatly and group the files by hand

	addpath 'generic_class/NN'
	addpath 'generic_class/classifier'
	NN=5;
	NNep=25;
	XFOLD=10;
	load(feature_file);
	%
	foo=mkdir(folder);
	try
		load([net_folder,'/randomness.mat'])
	catch
		error(['Shuffling file not found: ',net_folder,'/randomness.mat']);
	end
	warning off MATLAB:nearlySingularMatrix;
	numofclasses=length(data);				
	numofsubbands=size(data{1},1);				
	numofimagesperclass=size(data{1},2);			
	numofimages=numofimagesperclass*numofclasses;		
	numoffeats=length(data{1}{1});					
	numoftestimages=numofimages/NN;% assume NN divide numofimages
	numoftrainimages=numofimages -numoftestimages;


	for cls=1:numofclasses
		for iter=1:numofimagesperclass
			for sbd=1:numofsubbands
				shuf_data{1,cls}{sbd,shuf(cls,iter)}=data{1,cls}{sbd,iter};
			end
		end
	end
	data=shuf_data;
	%------------------------------------------------------
	for j=1:numofsubbands
		onesub=[];
		for i=1:numofclasses
			temp=data{i}(j,:);
			for k=1:numofimages/numofclasses
				onesub=[onesub;temp{k}];
			end
		end
		subdat{j}=double(onesub');
		%subdat{j} should now be a big fat <numoffeats x numofimages>double matrix
		%which means that subdat{j} has for column the features vector of each image
		
		%[?] in runNN.m: why do we compute ra here, we can compute it in evalNN to increase readability (less arguments passed)
		
		Y=[];
			rand('state',rand_state{1});
		load([net_folder,'/subband',num2str(j),'.mat'])
		for n=1:NN
			
			%evalNN modifies rand('state')
			%[R] (the signature of evalNN has changed)
			numofoutputs=numofclasses;
			numofpasses=numoftestimages/numofoutputs;% == numofimagesperclass/NN
			numofimagesperclass=numofimages/numofoutputs;
			testdat=[];
			for f=1:numofoutputs
				oi=zeros(1,numofimages);
				abc=[(f-1)*numofimagesperclass+1:f*numofimagesperclass];
				oi(abc)=1;                                      %oi index the images of a particular class
				ti=[(n-1)*numofpasses+1:n*numofpasses]+(f-1)*numofimagesperclass;%mask numofpasses of the images indexed by oi
				oi(ti)=0;
				testdat=[testdat,subdat{j}(:,ti)];
			end
			
			
			Y(:,(n-1)*numoftestimages+1:n*numoftestimages)=sim(net{n},testdat);
			%clear net;
		end
		
		labelAbase=ceil([1:numoftestimages]/(numofimagesperclass/NN));%[ 1...(#imperclass/NN)...1 , 2...2 , ... , numofclasses (#imperclass/NN)]
		labelA=[];
		for k=1:NN
			labelA=[labelA,labelAbase];
		end
		save([folder,'/subband',num2str((j)),'.mat'],'Y','labelA','net_folder','feature_file','net');
	end
	try
		disp(['!cp ',net_folder,'/randomness.mat ',folder]);
		eval(['!cp ',net_folder,'/randomness.mat ',folder]);
	catch
		warning('Unable to copy the randomness file.');
	end
	[ACC,overall,weights,confusion]=runClassC(folder,XFOLD,[1:j],numofimagesperclass,0);%<==
	[pathstr, fname]= fileparts(feature_file);
	save([folder,'/RESULTS_',fname,'_C',num2str(XFOLD),'.mat'],'ACC','overall','weights','confusion');
	concatResults(folder,['_C',num2str(XFOLD)]);

end
