function [ACC,sumofdata,confusion]=evalACCsave(DATA,numOfClass,labels,W,conf,IM_PER_CLASS)

%EVALACCSAVE: evaluate the accuracy of the classifier. Returns more information than evalACC: confusion matrix.
%
%No documentation
%
%sumofdata is the sum of all the decisions vectors (21xnboffeatures) for each image
% hence sumofdata: <#class x #images>
     sumofdata=zeros(numOfClass,size(DATA,2));
     confmat=zeros(numOfClass,size(DATA,2));
     if (conf>0)
     for i=1:size(DATA,2)
     confmat(labels(i),i)=conf; %offset the proba of the "true class" for each
     							%image: conf>0 = Warrior mode
     							%		conf<0 = Cheating mode
    end
end

     for i=1:length(W)					%for each subband of each used feature
     tempR= W(i)*DATA( (i-1)*numOfClass+1 : i*numOfClass,:);	%ponderate the subband
     sumofdata=tempR+sumofdata;			%add this subband in the matrix
end

     sumofdata=sumofdata-confmat;

[y,index]=max(sumofdata);
ACC=length(find((index-labels)==0))/size(DATA,2);

confusion=zeros(numOfClass,numOfClass);
for j=1:length(index)
	confusion(labels(j),index(j))=confusion(labels(j),index(j))+1;
end
confusion=confusion./(IM_PER_CLASS/10);
