function [ACC,overall,confusion]=runClass(folder,feat,tosub,ep,...
margin,IM_PER_CLASS,normalize,NN,SUBBAND)

%RUNCLASS: Organize the weighting procedure using the Open-Form algorithm 
% 
%INPUT
%     folder:contains the local decisions (subband?.mat)
%     tosub: vector that tells which subbands 
%            (it is not a subset of the number subband but of the number of 
%	     subbands  times the number of feature sets) to use.
%            ie, [1,2,3,9], [1:21], [1:63]
%     ep:    this is the number of iterations (epochs) used by the weighting
%            algorithm
%     margin:step used in weight evolution process.
%     IM_PER_CLASS: number of image sper class
%     normalize: 0 -> use raw decision vectors, 
%		 1 -> normalize them to be a probability distribution	
%     NN: Number of NN
%     SUBBAND: number of subbands
%OUTPUT
%     ACC:gives the accuracies for each of the cross
%         validation iteration
%     overall:  this is the total classification for each class as well as 
%         the average accuracy.
%     confusion: this is the overall confusion matrix         
%        

    [Pdat,labelA,numofclasses]=makeY1(folder,tosub,normalize);
    %save('debug.mat','Pdat','folder','tosub','normalize');%[debug]
    disp('Calling: runALL2');
    [ACC,overall,confusion]=runALL2(Pdat,feat,numofclasses,IM_PER_CLASS,...
    						labelA, 0, ep, margin, 1,NN,SUBBAND,folder);


