function [ACC,overall,weights]=runClassC(folder,Xfold,tosub,SUBBAND,IM_PER_CLASS,normalize)

%RUNCLASSC: Organize the weighting procedure using the Closed-Form algorithm 
% 
%INPUT
%     folder:contains the local decisions (subband?.mat)
%     Xfold : performs a <Xfold>-fold cross validation
%     tosub: vector that tells which subbands 
%            (it is not a subset of the number subband but of the number of 
%	     subbands  times the number of feature sets) to use.
%            ie, [1,2,3,9], [1:21], [1:63]
%     SUBBAND: the number of subband
%     IM_PER_CLASS: number of images per class
%     normalize: 0 -> use raw decision vectors, 
%		 1 -> normalize them to be a probability distribution	
%
%OUTPUT
%     ACC:gives the accuracies for each of the cross
%         validation iteration
%     overall:  this is the total classification for each class as well as 
%         the average accuracy.
%     confusion: this is the overall confusion matrix         
%        


    [Pdat,labelA,numofclasses]=makeY1(folder,tosub,normalize);
    %save('debug.mat','Pdat','folder','tosub','normalize');%[debug]
    disp('Using closed form weighting algorithm');
    [ACC,overall,weights]=evalcf(Pdat,labelA,Xfold,length(tosub),SUBBAND,numofclasses,IM_PER_CLASS);


