function feat = ml_gaborfeat(img,tmpdir)

%FEAT = ML_GARBORFEAT(IMG) calculates 60 Gabor texture features 
%for a 2D image IMG, which must be uint8.
%FEAT = ML_GARBORFEAT(IMG,TMPDIR) allows user to specify a directory
%TMPDIR for saving temporary files, which is '/tmp' for default.
 
%June, 2005 T. Zhao

if ~isa(img,'uint8')
    error('The input image must be uint8');
end

[tmppdir,tmpfile1]=fileparts(tempname);
[tmppdir,tmpfile2]=fileparts(tempname);
if ~exist('tmpdir','var')
    tmpdir=tempdir;
    tmpdir=tmpdir(1:end-1);
end

imgfile=[tmpdir '/' tmpfile1];
featfile=[tmpdir '/' tmpfile2];
fid=fopen(imgfile,'w');
fwrite(fid,img,'uchar');
fclose(fid);

bincmd=which('ml_gaborfeat');
slashpos=find(bincmd=='/');
bincmd=[bincmd(1:slashpos(end-1)) 'bin' bincmd(slashpos(end):end-2)];

system([bincmd ' ' imgfile ' ' num2str(size(img,1)) ' '...
        num2str(size(img,2)) ' ' featfile]);
fid=fopen(featfile,'r');
feat=fread(fid,60,'float');
fclose(fid);
feat=feat';

delete(imgfile);
delete(featfile);