function commonpixel = ml_imgcommonpixel(image)
% ML_IMGCOMMONPIXEL finds the most common pixel value in the input image. 
% [COMMONPIXEL] = ML_IMGSCALE(IMAGE) 
% It only works properly for integer image.

% 23 Feb 99
% Written by Michael Boland
% 07 Jul 05
% Modified by T. Zhao - handle negative values
% $Id: ml_imgcommonpixel.m,v 1.1.1.1 2005/07/12 18:20:25 tingz Exp $

imagemin = min(min(image)) ;
imagemax = max(max(image)) ;

if imagemin==imagemax
    commonpixel=imagemin;
    return;
end

if imagemin<0
    image=image-imagemin;
    imagemax = imagemax-imagemin ;
end

%
% Generate a histogram where the number of bins is equal to the 
%  maximum pixel value + 1 (0..maxpixel).
% 
[hmax,ihmax] = max(imhist(image/imagemax, imagemax+1)) ;

commonpixel = ihmax-1 ; 
if imagemin<0
    commonpixel=commonpixel+imagemin;
end
