function hull = ml_imgconvhull(bwimage)
% ML_IMGCONVHULL returns the convex hull of BWIMAGE as an image
% ML_IMGCONVHULL(IMAGE), where BWIMAGE is the binary image 
%    to be processed.
%

% 07 Aug 98 - M.V. Boland

% $Id: ml_imgconvhull.m,v 1.1.1.1 2005/07/12 18:20:25 tingz Exp $

if (isempty(bwimage))
    error('Invalid input image') ;
end

%
% Find all non-zero points in bwimage, and then identify the points on 
%   the convex hull
%
[Ty, Tx] = find(bwimage) ;
if (size(Tx,1)>2 & size(Ty,1)>2)
	k = convhull(Tx,Ty) ;
    
    %Actually it's not suitable to use roipoly here
	hull = roipoly(bwimage, Tx(k), Ty(k)) ; 
else
    if length(Tx)==1
        hull=bwimage;
    else    
        pts=ml_getlinepts([Ty(1) Tx(1)],[Ty(2) Tx(2)]);
	    hull = ml_setimgptspixel(bwimage,pts);%zeros(size(bwimage,1), size(bwimage,2));
    end
end

%
% Convert the convex hull polygon to an image
%