
function scaledimage = ml_imgscale(image)
% ML_IMGSCALE scales the range of values in the input image to 0-1
% ML_IMGSCALE(IMAGE) scales the values in IMAGE to be between 
%	0 and 1.
% If you have the image processing toolbox, please use mat2gray 
% instead of this function

% 07 Aug 98
% Written by Michael Boland
% $Id: ml_imgscale.m,v 1.1.1.1 2005/07/12 18:20:25 tingz Exp $

if ~image
	error('Invalid input image') ;
end

%
% Subtract the minimum value and divide by the resulting maximum
%
scaledimage = image - min(image(:)) ;
scaledimage = scaledimage/max(scaledimage(:)) ;


