function [ima_skel] = ml_mmthin_modify(objbin)

% mmthin_modify (objbin) 
%
% rewrite the mmthin function in the morphological toolbox
% This code is written by yenixsa and Sam in Summer 2004
% Last updated on 09/13/2004

[I J] = find(objbin > 0 );
min_row = min(I);
max_row = max(I);

min_col = min(J);
max_col = max(J);
bin_image = objbin(min_row : max_row, min_col : max_col);
degrees = 45;
num_elem = abs(360/degrees);

struct_elem{1} = [0 0 0; 2 1 2; 1 1 1];
struct_elem{2} = [2 0 0; 1 1 0; 1 1 2];
struct_elem{3} = [1 2 0; 1 1 0; 1 2 0];
struct_elem{4} = [1 1 2; 1 1 0; 2 0 0];
struct_elem{5} = [1 1 1; 2 1 2; 0 0 0];
struct_elem{6} = [2 1 1; 0 1 1; 0 0 2];
struct_elem{7} = [0 2 1; 0 1 1; 0 2 1];
struct_elem{8} = [0 0 2; 0 1 1; 2 1 1];

[r, c] = size(bin_image);

total_oper = 0;
acnum_elem = 0;
keep_num = 0;

bin_image = double(bin_image);

while 1
   acnum_elem = acnum_elem + 1;
   
   image_exp = zeros(r+4, c+4);
   image_exp(3:r+2, 3:c+2) = bin_image;
  
   [changed_image, oper] = ml_hitmiss(struct_elem{acnum_elem}, image_exp);

   total_oper = total_oper + oper;
   keep_num = acnum_elem;
    
    if(acnum_elem == num_elem)
       acnum_elem = 0;        
    end
     
    bin_image = bin_image - changed_image;
    
    if(acnum_elem == 0)
	if total_oper == 0
	    break;
        end
	total_oper = 0;
    end
end

[r c] = size(objbin);
ima_skel = zeros(r, c);
ima_skel(min_row:max_row, min_col:max_col) = double(bin_image);
