function mom = ml_moment2(img)

%function mom = ml_moment2(img)
%OVERVIEW   
%   Calculate central moments of an image. Same as tz_moment
%PARAMETERS
%   img - input image
%RETURN
%   mom - moments
%DESCRIPTION
%   
%HISTORY
%   24-Mar-2005 Initial write TINGZ
%SEE ALSO
%   tz_bwmoment, tz_moment


if min(img(:))==max(img(:))
    mom=struct('cx',size(img,1)/2,'cy',size(img,2)/2,'mu00',1,'mu11',0,'mu20', 0,'mu02',0);;
    warning('constant image');
    return;
end

[x,y]=find(img>0);
weights=img(find(img>0));
S=sum(weights);
centroid=sum([x.*weights,y.*weights],1)/S;
cpos=ml_addrow([x,y],-centroid);
% cpos=[x,y];

mu00=1;
mu11=sum(weights.*cpos(:,1).*cpos(:,2))/S;
mu20=sum(weights.*cpos(:,1).^2)/S;
mu02=sum(weights.*cpos(:,2).^2)/S;
% mu30=sum(weigths.*cpos(:,1).^3)/S;
% mu03=sum(weigths.*cpos(:,2).^3)/S;
mom = struct('cx',centroid(1),'cy',centroid(2),'mu00',mu00,'mu11',mu11,'mu20', mu20,'mu02',mu02);
