function [feats, names] = ml_objskelfeats( objimg)

% [FEATS, NAMES] = SKELFEATS( OBJIMG)
%
% Calculate skeleton features for the object OBJIMG.

% Written by Meel Velliste

objimg = double(objimg);
objbin = uint8(objimg>0);
% objskel = mmthin( objbin);
objskel = ml_mmthin_modify( objbin);
% rewrite the mmthin function by yenixsa and Sam, 09/14/2004
skellen = length(find(objskel));
objsize = length(find(objimg));
skel_obj_area_ratio = skellen / objsize;
skelhull = ml_imgconvhull( objskel);
hullsize = length(find(skelhull));
% if hull size comes out smaller than length of skeleton then it
% is obviously wrong, therefore adjust
if( hullsize < skellen) hullsize = skellen; end
skel_hull_area_ratio = skellen / hullsize;
skel_fluor = sum(objimg(find(objskel)));
obj_fluor = sum(objimg(:));
skel_obj_fluor_ratio = skel_fluor/obj_fluor;
branch_points = ml_find_branch_points(double(objskel));
no_of_branch_points = length(find(branch_points));
feats = [skellen skel_hull_area_ratio skel_obj_area_ratio ...
        skel_obj_fluor_ratio no_of_branch_points/skellen];
    
    names = {'obj_skel_len' ...
            'obj_skel_hull_area_ratio' ...
            'obj_skel_obj_area_ratio' ...
            'obj_skel_obj_fluor_ratio' ...
            'obj_skel_branch_per_len'};
    