function m = ml_wmoment(x,ws,order)

%function m = ml_wmoment(x,ws,order)
%OVERVIEW
%   calculate weighted central moments
%PARAMETERS
%   x - data
%   ws - weights
%   order - order
%RETURN
%   m - moment
%DESCRIPTION
%   the first order will return moment not central moment
%HISTORY
%   24-Apr-2005 Initial write TINGZ
%SEE ALSO
%   

if order==1
    m=sum(x.*ws)/sum(ws);
    return
end

mu=ml_wmoment(x,ws,1);
m=sum((x-mu).^order.*ws)/sum(ws);
