function concatResults(path,appendT)
%	Collects all the data of a particular job, save them as ConcatRESULTS.mat
%		(and plot a bar chart).
%
%path: the path of the job. A typical call would be:
%							>> concatResults('jobs/job_22-Fev-2006')
%							>> load('jobs/job_22-Fev-2006/ConcatRESULTS.mat')
%
%ConcatRESULTS.mat:
%	concatOverall: contains all the information gathered.
%	concatAverage: a nice view of concatOverall, it only reports average ACC.
%				   note: concatAverage is the numerical equivalent of the plot.
%	
%

% put some explicit labels on the confusion cell index. Order can be modified
MR=1;
NO_MR=2;
LABEL=3;
if exist('appendT','var')==0
	appendT='';
end
if (length(findstr('//',[path,'/']))==0 & length(path)~=0) %append '/' if needed
		path=[path,'/']
end
%%load([path,'.originalFeatureSet.mat'])
filename=dir([path,'RESULTS*',appendT,'.mat']);
concatOverall=cell(length(filename),2);
concatAverage=cell(length(filename),3);
cc=[];
index=[];
for i=1:length(filename)
	clear confusion;
	load([path, filename(i).name]);
	numofclasses=length(overall)-1;
	label=regexprep(regexprep(filename(i).name,'RESULTS_','') ,[appendT,'.mat'],'');
	concatOverall{i,1}=overall;
	concatOverall{i,2}=label;
	concatAverage{i,MR}=overall(MR,numofclasses+1);
	concatAverage{i,NO_MR}=overall(NO_MR,numofclasses+1);
	concatAverage{i,3}=label;
	if (exist('confusion')==1)
		hasconf=', with confusion matrix';
		concatConfusion{i,MR}=confusion{MR};
		concatConfusion{i,LABEL}=label;
		concatConfusion{i,NO_MR}{1}=confusion{NO_MR};

	else
		hasconf=', no confusion matrix'
		concatConfusion{i}='no confusion matrix available';
	end
	%cc=[cc,concatOverall{index}(:,numofclasses+1)];
	disp(['found: ',label,hasconf])
end
save([path,'ConcatRESULTS',appendT,'.mat'],'concatOverall','concatAverage','-v6','concatConfusion','MR','NO_MR');
disp(['results saved in: ',path,'ConcatRESULTS.mat']);
disp('-----------------------------------------------------');
format short;
concatAverage
%bar(cc',1.5); figure(gcf);xlabel([concatOverall{:,2}]);
