function itemlist = recdir(path,filterM)

%RECDIR:	crawl recursively a folder for files matching the filter
%
%INPUT
%	path: the folder to be searched
%	filterM: a regular expression file filter. i.e.: '*.tif'
%
%OUTPUT
%	itemlist: a <#dir x #item/dir> cell array
%

	SEP_='/';
	stack{1}=path;
	itemlist=[];
	while isempty(stack)==0
		thislist=dir([stack{1},SEP_,filterM]);
		thislist=rmfield(thislist,'date');
		thislist=rmfield(thislist,'bytes');
		thislist=rmfield(thislist,'isdir');
		for k=1:length(thislist)
			thislist(k).name=[stack{1},SEP_,thislist(k).name];
		end
		disp(['visiting ',stack{1},' ...found ',num2str(length(thislist)),' matching files'])
		itemlist=[itemlist thislist];
		dirlist = dir(stack{1});
		dirindex=find([dirlist(1:end).isdir]);
		dirlist=dirlist(dirindex);
		for k=1:length(dirlist)
			if strcmp('.',dirlist(k).name)==0 & strcmp('..',dirlist(k).name)==0
				path=[stack{1},SEP_,dirlist(k).name];
				stack{length(stack)+1} =path;
			end
		end
		stack(1)=[];
	end
	itemlist=itemlist';
end
