function shift_images(folder,hztl,vrtl,destination)

%SHIFT_IMAGES: shift a dataset by a given number of pixels
%
%INPUT
%	folder: the dataset
%	hztl: the numbers of pixels to shift by horizontally. positive: -> , negative: <-
%	vrtl: the numbers of pixels to shift by vertically. positive: -> , negative: <-
%	destination: [optional]. if not provided use <folder>_shift_<shifting properties>
%
%OUTPUT
%	write the images to <destination>
%	ALWAYS INSPECT the shifted images to see if the result corresponds to what's wanted.


	if exist('destination','var')~=1
		destination=[folder,'_shift_',num2str(hztl),'pxH-',num2str(vrtl),'pxV'];
		disp(['assume "',destination,'" as a destination folder']);
	end
	
	if exist(destination,'dir')~=7
		mkdir(destination);
		disp(['"',destination,'" created']);
	end
	
	images=dir([folder,'/*.tif']);
	disp([num2str(length(images)),' TIFF images found']);
	
	for k=1:length(images)
		x=imread([folder,'/',images(k).name],'tiff');
		s=size(x);
		
		x=[zeros(s(1),abs(hztl)),x,zeros(s(1),abs(hztl))];
		x=x(:,	max(1-2*hztl,1):max(s(1)-2*hztl,s(1))	);
		x=x';
		x=[zeros(s(1),abs(vrtl)),x,zeros(s(1),abs(vrtl))];
                x=x(:,  max(1-2*vrtl,1):max(s(1)-2*vrtl,s(1))   );   
		imwrite(x',[destination,'/',images(k).name],'tiff');
	end
	disp('Done.');
