function SUBBAND=decomp(folder,level)
%Performs a 2-levels full-tree discret wavelet decomp using Haar filters

SUBBAND=21;
%TO ENSURE COMPATIBILITY WITH OLD SCRIPTS--
if nargin~=2
	disp('Warning: decomp has now 2 arguments');
end


images=dir([folder,'/*.tif']);

    st=mkdir([folder,'/subband1']);
    st=mkdir([folder,'/subband2']);
    st=mkdir([folder,'/subband3']);
    st=mkdir([folder,'/subband4']);
    
for i=1:length(images)
    X=imread([folder,'/',images(i).name],'tiff');

	[ll,hl,lh,hh]=dwt2(X,'haar');
    
    ll=uint16(ll);
    hl=uint16(hl);
    lh=uint16(lh);
    hh=uint16(hh);
    imwrite(ll,[folder,'/subband1/',images(i).name],'tiff');
    imwrite(hl,[folder,'/subband2/',images(i).name],'tiff');
    imwrite(lh,[folder,'/subband3/',images(i).name],'tiff');
    imwrite(hh,[folder,'/subband4/',images(i).name],'tiff');
    fprintf([folder,'/',images(i).name,' done\n']);
end

if (level>1)
    decomp([folder,'/subband1'],level-1);
    decomp([folder,'/subband2'],level-1);
    decomp([folder,'/subband3'],level-1);
    decomp([folder,'/subband4'],level-1);
end
disp([date,': Subbands created in', folder]);
